## org.apache.http.impl.cookie
Class IgnoreSpec

    java.lang.Object
      org.apache.http.impl.cookie.AbstractCookieSpec
          org.apache.http.impl.cookie.CookieSpecBase
              org.apache.http.impl.cookie.IgnoreSpec

All Implemented Interfaces:
  CookieSpec

    @NotThreadSafe
    public class IgnoreSpec

extends CookieSpecBase

CookieSpec that ignores all cookies

Since:
  4.1

Constructor Summary
`IgnoreSpec()`

Method Summary
`List<Header>` `formatCookies(List<Cookie> cookies)` Create `"Cookie"` headers for an array of Cookies.
`int` `getVersion()` Returns version of the state management this cookie specification conforms to.
`Header` `getVersionHeader()` Returns a request header identifying what version of the state management specification is understood.
`List<Cookie>` `parse(Header header, CookieOrigin origin)` Parse the `"Set-Cookie"` Header into an array of Cookies.

Methods inherited from class org.apache.http.impl.cookie.CookieSpecBase
`getDefaultDomain, getDefaultPath, match, parse, validate`

Methods inherited from class org.apache.http.impl.cookie.AbstractCookieSpec
`findAttribHandler, getAttribHandler, getAttribHandlers, registerAttribHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IgnoreSpec

    public IgnoreSpec()

Method Detail

### getVersion

    public int getVersion()

  Description copied from interface: `CookieSpec`
  Returns version of the state management this cookie specification conforms to.

  Returns:
    version of the state management specification

### parse

    public List<Cookie> parse(Header header,
                              CookieOrigin origin)
                       throws MalformedCookieException

  Description copied from interface: `CookieSpec`
  Parse the `"Set-Cookie"` Header into an array of Cookies.

  This method will not perform the validation of the resultant `Cookie`s

  Parameters:
    `header` - the `Set-Cookie` received from the server
    `origin` - details of the cookie origin
  Returns:
    an array of `Cookie`s parsed from the header
  Throws:
    `MalformedCookieException` - if an exception occurs during parsing
  See Also:
    `CookieSpec.validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)`

### formatCookies

    public List<Header> formatCookies(List<Cookie> cookies)

  Description copied from interface: `CookieSpec`
  Create `"Cookie"` headers for an array of Cookies.

  Parameters:
    `cookies` - the Cookies format into a Cookie header
  Returns:
    a Header for the given Cookies.

### getVersionHeader

    public Header getVersionHeader()

  Description copied from interface: `CookieSpec`
  Returns a request header identifying what version of the state management specification is understood. May be `null` if the cookie specification does not support `Cookie2` header.

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.